## visad.data.hdf5
Class HDF5DatasetAdapted

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5Dataset
              visad.data.hdf5.HDF5DatasetAdapted

All Implemented Interfaces:
  HDF5DataAdaptable, Serializable

public class HDF5DatasetAdapted
extends HDF5Dataset
implements HDF5DataAdaptable

HDF5DatasetAdapted is the implementation of mapping from HDFDataset to VisAD Data object. HDF5 Dataset with compound data type is mapped to VisAD FieldImpl and HDF5 Dataset with simple data type is mapped to FlatField. The current implementation does not include compound datatype.

See Also:
  Serialized Form

Field Summary
`(package private) DataImpl` `dataField`
`(package private) RealTupleType` `domain`
`(package private) MathType` `field_type`
`(package private) RealTupleType` `range`

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Dataset
`count, data, dataspace, datatype, dims, maxdims, member_names, rank`

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5DatasetAdapted()` Constructs a HDF5DatasetAdapted
`HDF5DatasetAdapted(int loc_id, String set_name)` Opens a HDF5DatasetAdapted
`HDF5DatasetAdapted(int loc_id, String set_name, int type_id, int space_id, int create_plist_id)` Creates a dataset at the specified location

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`MathType` `getMathType()`
`void` `init()` initialize the HDF5DatasetAdapte: Set the domain.

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Dataset
`convertUnsignedData, finalize, getCount, getData, getDataspace, getDatatype, getDims, getMaxdims, getRank, readData, readData, toString, writeData, writeData`

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, setID, setShortName, setType`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_type

    MathType field_type

### domain

    RealTupleType domain

### range

    RealTupleType range

### dataField

    DataImpl dataField

Constructor Detail

### HDF5DatasetAdapted

    public HDF5DatasetAdapted()

  Constructs a HDF5DatasetAdapted

### HDF5DatasetAdapted

    public HDF5DatasetAdapted(int loc_id,
                              String set_name,
                              int type_id,
                              int space_id,
                              int create_plist_id)

  Creates a dataset at the specified location

Parameters:
  `loc_id` - Identifier of the file or group to create the dataset within.
  `set_name` - The name of the dataset to create.
  `type_id` - Identifier of the datatype to use when creating the dataset.
  `space_id` - Identifier of the dataspace to use when creating the dataset.
  `create_plist_id` - Identifier of the set creation property list.

### HDF5DatasetAdapted

    public HDF5DatasetAdapted(int loc_id,
                              String set_name)

  Opens a HDF5DatasetAdapted

Parameters:
  `loc_id` - A file, group, or datatype identifier.
  `set_name` - A datatset name.

Method Detail

### init

    public void init()
              throws HDF5Exception

  initialize the HDF5DatasetAdapte:
  1. Set the domain.
  2. Set the range.
  3. Set function type.

  Overrides:
    `init` in class `HDF5Dataset`
  Throws:
    `HDF5Exception`

### getMathType

    public MathType getMathType()
                         throws VisADException

  Specified by:
    `getMathType` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`
    `RemoteException`